<?php namespace Romanah\Gokbakja\Updates;

use Schema;
use October\Rain\Database\Updates\Migration;

class BuilderTableCreateRomanahGokbakjaBagActions extends Migration
{
    public function up()
    {
        Schema::create('romanah_gokbakja_bag_actions', function($table)
        {
            $table->engine = 'InnoDB';
            $table->increments('id')->unsigned();
            $table->timestamp('created_at')->nullable();
            $table->timestamp('updated_at')->nullable();
            $table->timestamp('deleted_at')->nullable();
            $table->string('type');
            $table->integer('product_id');
            $table->integer('stock_id');
            $table->integer('user_id');
            $table->string('status_accountant')->default('new');
            $table->string('status_director')->default('new');
            $table->double('amount', 10, 0);
            $table->text('note');
        });
    }
    
    public function down()
    {
        Schema::dropIfExists('romanah_gokbakja_bag_actions');
    }
}
